Skip to navigation

List AppDefinitionVersion items

Beta
List AppDefinitionVersion items.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

app_definition_idstringRequired
ID of the AppDefinition.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

createdAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.

createdAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.

createdAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.

createdAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. <= 2017-04-30.

id.anyOfstringOptional

Restricts results to those matching any of the specified IDs. Comma-separated list.

modifiedAt.gtstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified after the specified time. e.g. > 2017-04-30.

modifiedAt.gtestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or after the specified time. e.g. >= 2017-04-30.

modifiedAt.ltstringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified before the specified time. e.g. < 2017-04-30.

modifiedAt.ltestringOptional

Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those modified at or before the specified time. e.g. <= 2017-04-30.

nextTokenstringOptional
Token for pagination
pageSizeintegerOptional
Number of results to return. Defaults to 50, maximum of 100.
versionNumber.eqstringOptional
Version number, such as a semver string. Restricts results to the version with this number.
sortenumOptionalDefaults to modifiedAt:desc

Method by which to order results. Valid sorts are: createdAt (created time, oldest first) and modifiedAt (modified time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is modifiedAt:desc.

Allowed values:

Response

OK
itemslist of objectsOptional
nextTokenstringOptional

Errors

400
App Definition Versions List Request Bad Request Error
403
App Definition Versions List Request Forbidden Error
404
App Definition Versions List Request Not Found Error
429
App Definition Versions List Request Too Many Requests Error
500
App Definition Versions List Request Internal Server Error